!set title=Producto de dos matrices 2x2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r,r,r
varcnt=14
prevarcnt=13
postvarcnt=0
replycnt=4
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=tex

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(20)]
tmp0=!randint -$val6, $val6

val7=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val8=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val9=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val10=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val11=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val12=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val13=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val14=$[rint($(tmp0))]
val15=$[rint(($val7)*($val11)+($val8)*($val13))]
val16=$[rint(($val7)*($val12)+($val8)*($val14))]
val17=$[rint(($val9)*($val11)+($val10)*($val13))]
val18=$[rint(($val9)*($val12)+($val10)*($val14))]
replyname1=a
replygood1=$val15
replyname2=b
replygood2=$val16
replyname3=c
replygood3=$val17
replyname4=d
replygood4=$val18
question=!nosubst Resolver el producto de matrices:	 &#36;&#36; \pmatrix{$val7&$val8\cr$val9&$val10\cr} 	 \pmatrix{$val11&$val12\cr$val13&$val14\cr} =	 \pmatrix{a&b\cr c&d\cr} .&#36;&#36;

!goto stat

!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,8,9,10,11,12,13,14
embedcnt=0
